%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-Find
Version:       0.17
Release:       1mamba
Summary:       Module::Find - Lets you find and use modules in categories
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/modules/by-module/Module/Module-Find-%{version}.tar.gz
License:       Artistic
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver

%description
Module::Find lets you find and use modules in categories.
This can be very useful for auto-detecting driver or plugin modules.
You can differentiate between looking in the category itself or in all subcategories.

%prep
%setup -q -n Module-Find-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Feb 19 2025 Automatic Build System <autodist@openmamba.org> 0.17-1mamba
- automatic version update by autodist

* Tue Aug 02 2022 Automatic Build System <autodist@mambasoft.it> 0.16-1mamba
- automatic version update by autodist

* Mon Jan 06 2020 Automatic Build System <autodist@mambasoft.it> 0.15-1mamba
- automatic update by autodist

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 0.13-1mamba
- automatic update by autodist

* Sun Feb 09 2014 Automatic Build System <autodist@mambasoft.it> 0.12-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11-2mamba
- perl 5.16 mass rebuild

* Mon May 28 2012 Automatic Build System <autodist@mambasoft.it> 0.11-1mamba
- automatic version update by autodist

* Wed Mar 16 2011 Automatic Build System <autodist@mambasoft.it> 0.10-1mamba
- automatic update by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.06-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.05-2mamba
- automatic rebuild by autodist

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 0.05-1mamba
- package created by autospec
